#!/sbin/sh

# Programs needed
ECHO="busybox echo"
CHOWN="busybox chown"
CHMOD="busybox chmod"
LS="busybox ls"
RM="busybox rm"
CP="busybox cp"
SUPATH=
if [ -d "/data/adb/su/bin" ]; then
  SUPATH=/data/adb/su
elif [ -d "/data/supersu_install/bin" ]; then
  SUPATH=/data/supersu_install
elif [ -d "/cache/supersu_install/bin" ]; then
  SUPATH=/cache/supersu_install
fi
$CP /tmp/media_profiles.xml $SUPATH/etc/media_profiles.xml
$CP /tmp/mixer_paths.xml $SUPATH/etc/mixer_paths.xml
$CP /tmp/01dualmonov2_stereomic.script $SUPATH/su.d/01dualmonov2_stereomic.script
$CHMOD 0775 $SUPATH/su.d/01dualmonov2_stereomic.script
$RM /tmp/media_profiles.xml /tmp/mixer_paths.xml /tmp/01dualmonov2_stereomic.script